function [x]=rexpweib(n,l,a)
x=[];
[nargout,nargin] = argn(0)
//REXP   Random numbers from the exponential or weibull distributions
// 
//         x=rexpweib(n,l)
//       Input    n  positive integer or vector [lig,col] of integers
//                l  positive real
//                a  Weibull parameter (default a=1: exponential dist.)
// 
//       Output   x  n-vector of random numbers
//                   chosen from a weibull distribution
//                            ( F(x) = 1-exp-[(l*x)^a]  )
// 
 
//	Revision 01-10-98 Mathematique Universite de Paris-Sud
// 
if nargin<2|nargin>3 then
  error('Wrong number of input parameters');
  return
   
end
 
if nargin==2 then
  a = 1;
end
 
if size(n,'*')==1 then
  n = [n,1];
end
 
if size(n,'*')~=2|size(l,'*')>1|size(a,'*')>1 then
  error('Wrong input parameter type');
  return
   
end
 
if l<0|a<=0 then
  error('Wrong input parameter value');
  return
   
end
 
x = -log(mtlb_rand(n))/l;
x = x.^(1/a);
